## BurnerMediumSelection

BurnerMediumSelection

## Functions

GtkWidget * | burner_medium_selection_new ()
BurnerMedium * | burner_medium_selection_get_active ()
gboolean | burner_medium_selection_set_active ()
void | burner_medium_selection_show_media_type ()

## Types and Values

struct | BurnerMediumSelection

## Description

## Functions

### burner_medium_selection_new ()

    GtkWidget *
    burner_medium_selection_new (void);

Creates a new BurnerMediumSelection object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### burner_medium_selection_get_active ()

    BurnerMedium *
    burner_medium_selection_get_active (BurnerMediumSelection *selector);

Gets the active medium.

#### Parameters

selector | a BurnerMediumSelection |

#### Returns

a BurnerMedium or NULL. Unref when it is not needed anymore.

### burner_medium_selection_set_active ()

    gboolean
    burner_medium_selection_set_active (BurnerMediumSelection *selector,
                                        BurnerMedium *medium);

Sets the active medium. Emits the ::medium-changed signal.

#### Parameters

selector | a BurnerMediumSelection |
medium | a BurnerMedium to set as the active one in the selector |

#### Returns

a gboolean. TRUE if it succeeded, FALSE otherwise.

### burner_medium_selection_show_media_type ()

    void
    burner_medium_selection_show_media_type
                                   (BurnerMediumSelection *selector,
                                    BurnerMediaType type);

Filters and displays media corresponding to `type` .

#### Parameters

selector | a BurnerMediumSelection |
type | a BurnerMediaType |

## Types and Values

### struct BurnerMediumSelection

    struct BurnerMediumSelection {
    	GtkComboBox parent_instance;
    };

Rename to: MediumSelection